summaryrefslogtreecommitdiffstats
path: root/core/modules/beamergui
diff options
context:
space:
mode:
authorSimon Rettberg2017-03-23 15:27:01 +0100
committerSimon Rettberg2017-03-23 15:27:01 +0100
commit22aa37aca12851962a8bbabb87ea0b0d3034fe25 (patch)
tree31a662ee73c627e6fa3fa8719ec9f7bb9d804bfe /core/modules/beamergui
parent[hardware-stats] Check for mktemp binary before trying to call it (diff)
downloadmltk-22aa37aca12851962a8bbabb87ea0b0d3034fe25.tar.gz
mltk-22aa37aca12851962a8bbabb87ea0b0d3034fe25.tar.xz
mltk-22aa37aca12851962a8bbabb87ea0b0d3034fe25.zip
[beamergui] Add more debug output to beamergui setup script
Diffstat (limited to 'core/modules/beamergui')
-rwxr-xr-xcore/modules/beamergui/data/opt/openslx/scripts/beamergui-mode_setter10
1 files changed, 10 insertions, 0 deletions
diff --git a/core/modules/beamergui/data/opt/openslx/scripts/beamergui-mode_setter b/core/modules/beamergui/data/opt/openslx/scripts/beamergui-mode_setter
index c0bfde6a..b7d6f04f 100755
--- a/core/modules/beamergui/data/opt/openslx/scripts/beamergui-mode_setter
+++ b/core/modules/beamergui/data/opt/openslx/scripts/beamergui-mode_setter
@@ -57,6 +57,14 @@ echo -e "Connected outputs: \e[32m${OUTPUTNAMES[@]}\e[0m"
if [ ${#OUTPUTNAMES[@]} -eq 2 ]; then
echo "Two outputs detected."
+ if ! [ -f "$CONFIGFILE" ]; then
+ echo "No additional beamer file (${CONFIGFILE}) found."
+ elif ! [ -r "$CONFIGFILE" ]; then
+ echo "$CONFIGFILE found but not readable."
+ else
+ echo "beamer.conf found, contains the following beamer definitions:"
+ <"$CONFIGFILE" grep '=beamer$'
+ fi
# Either of them a projector?
BEAMER=
@@ -75,12 +83,14 @@ if [ ${#OUTPUTNAMES[@]} -eq 2 ]; then
# Try hard coded values from above
for model in "${FORCE_BEAMER[@]}"; do
if [ "x$model" = "x$MODEL_NAME" ]; then
+ echo "Model is hard-coded as beamer"
FOUND=ya
break
fi
done
# Now try user supplied config
if [ -z "$FOUND" ] && [ -f "$CONFIGFILE" ] && grep -Fxq "${MODEL_NAME}=beamer" "$CONFIGFILE"; then
+ echo "Model is defined as beamer in beamer.conf"
FOUND=ya
fi
# Set beamer if any match